Bug 131233

Summary: [New Multicolumn] widows and orphans cause assertion failures
Product: WebKit Reporter: Dave Hyatt <hyatt>
Component: Layout and RenderingAssignee: Dave Hyatt <hyatt>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, jonlee, kondapallykalyan, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 131825    
Attachments:
Description Flags
Patch dino: review+

Description Dave Hyatt 2014-04-04 11:14:24 PDT
Load http://www.quirksmode.org/css/css2/widows.html and watch it assert with spaceShortage > 0
Comment 1 Radar WebKit Bug Importer 2014-04-17 23:13:44 PDT
<rdar://problem/16656296>
Comment 2 Dave Hyatt 2014-04-21 13:42:46 PDT
This does not block turning the new columns on.
Comment 3 Dave Hyatt 2014-04-22 13:28:51 PDT
Created attachment 229910 [details]
Patch
Comment 4 Dave Hyatt 2014-04-22 13:32:19 PDT
Fixed in r167678.